> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caret.so/llms.txt
> Use this file to discover all available pages before exploring further.

# MCP 서버

> Model Context Protocol을 사용하여 AI 어시스턴트를 Caret에 연결합니다

Caret는 Model Context Protocol(MCP) 서버를 제공하여 AI 어시스턴트가 워크스페이스 데이터(미팅 노트, 전사본, 지식 베이스, 팀 정보)에 접근할 수 있도록 합니다.

## 서버 정보

| 항목    | 값                          |
| :---- | :------------------------- |
| 이름    | Caret MCP Server           |
| 버전    | 1.0.0                      |
| 엔드포인트 | `https://api.caret.so/mcp` |
| 전송 방식 | Streamable HTTP            |

## 프로토콜 엔드포인트

| 메서드      | 경로     | 설명                      |
| :------- | :----- | :---------------------- |
| `POST`   | `/mcp` | MCP 도구 호출 실행            |
| `GET`    | `/mcp` | 서버 메타데이터 및 사용 가능한 도구 조회 |
| `DELETE` | `/mcp` | 세션 종료                   |

## 인증

<CardGroup cols={2}>
  <Card title="OAuth 2.0 with PKCE" icon="shield-check" href="/api-reference/mcp/authentication">
    Claude Desktop, Cursor 등 대화형 클라이언트에 권장됩니다. 대부분의 MCP
    클라이언트에서 자동으로 처리됩니다.
  </Card>

  <Card title="API 키" icon="key" href="/api-reference/mcp/authentication#api-key-authentication">
    프로그래밍 방식 접근 또는 OAuth를 지원하지 않는 클라이언트용입니다.
  </Card>
</CardGroup>

## 사용 가능한 도구

모든 도구는 읽기 전용이며 인증된 워크스페이스 범위 내에서 동작합니다.

<CardGroup cols={2}>
  <Card title="노트" icon="file-lines" href="/api-reference/mcp/tools#caret_list_notes">
    전사본과 요약이 포함된 미팅 노트를 목록 조회, 상세 조회, 검색합니다.
  </Card>

  <Card title="지식 검색" icon="magnifying-glass" href="/api-reference/mcp/tools#caret_search_knowledge">
    미팅 콘텐츠와 워크스페이스 지식 베이스를 시맨틱 검색합니다.
  </Card>

  <Card title="워크스페이스" icon="building" href="/api-reference/mcp/tools#caret_get_workspace">
    이름, 설정, 허용 도메인 등 워크스페이스 메타데이터를 조회합니다.
  </Card>

  <Card title="멤버" icon="users" href="/api-reference/mcp/tools#caret_list_members">
    역할 및 폴더 할당 정보가 포함된 워크스페이스 멤버를 조회합니다.
  </Card>
</CardGroup>

## 디스커버리 엔드포인트

MCP 클라이언트는 아래 well-known 엔드포인트를 통해 서버 기능을 자동으로 검색할 수 있습니다:

| 엔드포인트                                             | 설명                |
| :------------------------------------------------ | :---------------- |
| `GET /.well-known/oauth-authorization-server`     | OAuth 인가 서버 메타데이터 |
| `GET /.well-known/oauth-protected-resource`       | 보호된 리소스 메타데이터     |
| `GET /mcp/.well-known/oauth-authorization-server` | MCP 접두사 인가 메타데이터  |
| `GET /mcp/.well-known/oauth-protected-resource`   | MCP 접두사 리소스 메타데이터 |
